Subject: Re: [PATCH 1/3] iommu: Move swap_pci_ref function to pci.h.

From: Joerg Roedel <[email-masked]>
Date: Mon, 15 Apr 2013 16:58:35 +0200

On Mon, Apr 15, 2013 at 12:42:00AM +0530, Varun Sethi wrote:
> swap_pci_ref function is used by the IOMMU API code for swapping pci device
> pointers, while determining the iommu group for the device.
> Currently this function was being implemented for different IOMMU drivers.
> This patch moves the function to pci.h so that the implementation can be
> shared across various IOMMU drivers.

The function is only used in IOMMU code, so I think its fine to keep it
there (unless Bjorn disagrees and wants it in PCI code).

	Joerg